<template>
  <AppModal
    name-modal="modal-price-template"
    :width-modal="920"
    :visible="visible"
    :no-header="true"
    :scrollable="false"
    @before-close="$emit('before-close')"
    init-class="modalPriceTemplate priceUpload">
    <div
      slot="body"
      class="modalPriceTemplate-content">
      <div class="beforeModalClose">
        <AppPopover
          :options="{
            placement: 'bottom-end',
            offset: '0',
            trigger: 'click',
            additionalClasses: ['tooltipButtonBack', 'tooltipWhite']}">
          <template slot="tooltip-trigger">
            <button
              class="buttonInvisible"/>
          </template>
          <div
            class="tooltip-content"
            slot="tooltip-content">
            <div class="tooltip-text">Сохранить изменения?</div>
            <button
              class="button _blue"
              @click="$emit('before-close')"
              v-close-popover>Да
            </button>
            <button
              class="button buttonOutline"
              @click="$emit('before-close')"
              v-close-popover>Нет
            </button>
          </div>
        </AppPopover>
      </div>

      <PriceTemplate
        :template-type="templateType"
        :is-in-modal="true"/>
    </div>
  </AppModal>
</template>

<script>
import AppModal from '~/components/redesign/app-modals/app-modal';
import PriceTemplate from '~/components/redesign/cabinet/price-upload/price-template';
import Modals from '~/assets/js/mixins/redesign/modals';
import AppPopover from '~/components/redesign/app-tooltip/app-popover';

export default {
  name: 'AppModalPriceTemplate',
  components: {
    AppModal,
    PriceTemplate,
    AppPopover,
  },
  mixins: [Modals],
  data() {
    return {
      templateType: 'new',
    };
  },
};
</script>

<style lang="postcss">
  @import "~/assets/css/components/price-upload-pages.css";

  .modalPriceTemplate.priceUpload {

    .modalPriceTemplate-content {
      display: block;
      padding: 2.5rem;
    }

    .priceTemplate {
      &-settings {
        max-height: 29rem;
        overflow-y: auto;
        border-top: 0.5rem solid var(--bg-main);
      }
    }

    .templateForm-item,
    .priceTemplate-item {
      .multiselect._column {
        width: 7.5rem;
        min-width: 7.5rem;
      }
      .input._info {
        width: 16rem;
      }
    }

    .priceLabel {
      font-size: 0.75rem;
      width: 8.5rem;
      min-width: 8.5rem;
      max-width: 8.5rem;
      &._auto {
        padding: 0 0.5rem;
        width: auto;
        min-width: auto;
        max-width: none;
      }
      &._small {
        width: 6.5rem;
        min-width: 6.5rem;
        max-width: 6.5rem;
      }
      &._medium {
        width: 7.25rem;
        min-width: 7.25rem;
        max-width: 7.25rem;
      }
    }

    .beforeModalClose {
      position: absolute;
      z-index: 10;
      top: 0;
      right: 0;
    }

    .buttonInvisible {
      display: block;
      width: 3rem;
      height: 3rem;
      opacity: 0;
      cursor: pointer;
    }

    @media screen and (min-width: 1201px) {
      .templateForm-item,
      .priceTemplate-item {
        .input:not(.inputCheck) > .input-field {
          height: var(--select-small-height);
          min-height: var(--select-small-height);
          font-size: 0.75rem;
        }
      }
    }

    @media (min-width: 981px) and (max-width: 1200px) {
      .templateForm-item,
      .priceTemplate-item {
        .input:not(.inputCheck) > .input-field {
          height: var(--btn-height-regular);
          min-height: var(--btn-height-regular);
          font-size: 0.875rem;
        }

        .inputNumber._small .button,
        .inputNumber._small .input-field {
          height: var(--btn-height-regular);
          min-width: var(--btn-height-regular);
          min-height: var(--btn-height-regular);
        }
      }
      .priceLabel,
      .priceComment,
      .inputRadio-label {
        font-size: 0.875rem;
      }
    }

    @media (min-width: 1201px) and (max-width: 1365px) {
      .priceLabel {
        width: 7.5rem;
        min-width: 7.5rem;
        max-width: 7.5rem;

        &._medium {
          width: 6rem;
          min-width: 6rem;
          max-width: 6rem;
        }
      }
    }

  }
</style>
